For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
      • GETList Consumer Disputes
      • GETGet Consumer Bank Accounts
      • GETList Consumer Payment Cards
      • GETList Consumers
      • POSTCreate New Consumer
      • GETRetrieve Consumer
      • PUTUpdate Consumer
      • GETGet Consumers By PCID
      • GETList Consumer Addresses V 2
      • POSTCreate Address V 2
      • GETRetrieve Address V 2
      • PUTUpdate Address V 2
      • DELDelete Address V 2
      • GETList Consumer Invites
      • POSTCreate Consumer Invites
      • POSTCreate Consumer Dispute
      • POSTCreate Account Cancellation
Get a Demo
LogoLogo
API ReferenceConsumers

Retrieve Address V 2

GET
https://host.com/v2/consumers/:consumer_id/addresses/:address_id/
GET
/v2/consumers/:consumer_id/addresses/:address_id/
$curl https://host.com/v2/consumers/consumer_id/addresses/address_id/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": 1,
3 "consumer": 1,
4 "type": "BILLING",
5 "address_line1": "string",
6 "address_line2": "string",
7 "city": "string",
8 "state": "AL",
9 "country": "AF",
10 "zip": "string",
11 "lat": 1.1,
12 "lng": 1.1
13}
Retrieves an address.
Was this page helpful?
Previous

Update Address V 2

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

consumer_idstringRequired
address_idstringRequired

Response

idintegerRead-only
consumerinteger or null
typeenum or null
Allowed values:
address_line1string or null<=250 characters
address_line2string or null<=250 characters
citystring or null<=100 characters
stateenum or null
countryenum
zipstring or null<=32 characters
latdouble or null
lngdouble or null